メインコンテンツまでスキップ

List Import Jobs (V2)

This operation lists all import jobs of a specific cluster.

POST/v2/vectordb/jobs/import/list
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つ API キーである必要があります。

値の例: Bearer {{TOKEN}}
Acceptstringheader

application/json を使用してください。

値の例: application/json
リクエスト・ボディ
clusterIdstring必要

Zilliz Cloud 上の特定のクラスターの ID。

pageSizeinteger

各リクエストで返すレコード数。

currentPageinteger

現在のページ番号。

dbNamestring

インポートジョブが属するデータベースの名前。

bash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/vectordb/jobs/import/list" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"clusterId": "inxx-xxxxxxxxxxxxxxx"
}'
レスポンス

インポートジョブの一覧を返します。

codestring

レスポンスコード。

dataobject

インポートジョブの詳細な一覧を含むレスポンスペイロードです。

countinteger

このレスポンスで一覧表示されるレコードの総数。

currentPageinteger

参考用の現在のページ番号。

pageSizeinteger

各レスポンスに含まれるレコードの最大数。

recordsarray

インポートジョブの詳細な一覧。

[]recordsobject

インポートジョブの詳細。

collectionNamestring

このインポートジョブの対象コレクションの名前。

jobIdstring

このインポートジョブの ID。

statestring

このインポートジョブの状態。

エラーメッセージを返します。

codeinteger

レスポンスコード。

messagestring

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"count": 1,
"currentPage": 1,
"pageSize": 10,
"records": [
{
"collectionName": "test_collection",
"jobId": "job-xxxxxxxxxxxxxxxxxxxxx",
"state": "Completed"
}
]
}
}
Ctrl I